<? include('header.php');

if(!(isset($_SESSION["username"]) && isset($_SESSION["password"])))
{
	?>
	<script type="text/javascript">
	location.replace("login.php");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.php">
	</noscript>
	<?
	exit();
}
$user=text($_SESSION["username"]);
?>
<div class="menucenter">
<?
$sqryvar="SELECT COUNT(*) as count from tb_users where referer='$user'";
$iqryvar=mysql_query($sqryvar);
$row22=mysql_fetch_assoc($iqryvar);
$myrefs=$row22['count'];
$moneyref = 0.005;
$money=$myrefs*$moneyref;
require_once('bbcode.php');
$comment = bbcod($_POST["comment"], true, true);
if($comment!='')
{
if( strtolower($_POST['code'])!= strtolower($_SESSION['logcaptcha']) OR !isset($_SESSION["logcaptcha"])){
echo "<div class='error'>Неверно введен код с картинки... <br /><a href='mail_ref.php'>Вернуться назад</a></div>";require 'footer.php';exit(); }
if($money > $duser["money_cr"])
{
echo "<div class='error'>У вас недостаточно средств на балансе<br /><a href='mail_ref.php'>Вернуться назад</a></div>";
include('footer.php');
exit();
}
if ($myrefs > 0)
{
$rs=mysql_query("select status from tb_mail_ref where user='$user' order by id desc");
$rs=mysql_fetch_assoc($rs);
$rse=$rs["status"];
$rsee=1;
if($rse!=$rsee)
{
$time_start= time();
mysql_query("INSERT INTO tb_mail_ref (user, time_start, text, status) VALUES('$user', '$time_start', '$comment', '1')") or die(mysql_error());
echo "<div class='good'>Сообщения будут отправлены в течении 30 минут.<a href='mail_ref.php'>Вернуться назад</a></div>";
mysql_query("update tb_users set money_cr=money_cr-'$money' where username='$user'"); include('footer.php');exit(); 
}else{ echo "<div class='error'>Ошибка! Прошлая рассылка еще на закончена</b><a href='mail_ref.php'>Вернуться назад</a></div>"; include('footer.php');exit(); }
}else{ echo "<div class='error'>Ошибка! У Вас нет рефералов<br /><a href='mail_ref.php'>Вернуться назад</a></div>"; include('footer.php');exit(); }
}
?>
<div class='navil'>
<table width='100%'>
<tr>
<td style='font-size:11px;'>Рассылка вашим рефералам на внутреннюю почту: цена за 1 письмо <font color='red'><?=$moneyref; ?></font> руб.</td>
</tr>
<tr>
<td style='font-size:11px;'>Рассылка всем вашим рефералам на внутреннюю почту будет стоить: <font color='red'><?=$money; ?></font> руб. <small>(Рефералов: <font color='red'><?=$myrefs; ?></font> чел.)</small></td>
</tr>
<tr>
<td align='center'><b>Оплата происходит с рекламного счета.</b></td>
</tr>
</table>
</div>

<script type="text/javascript" language="JavaScript">
            function ClearForm()
            {
                var stitle = "";
                document.forms['mailform'].ask_title.value = stitle;
                document.forms['mailform'].ask_desc.value = '';
                document.forms['mailform'].ask_desc.style.height = '100px';
                document.forms['mailform'].scount.value = 'Осталось 1000 символов';
            }
            function descchange(elem)
            {
                if (elem.value.length > 1000) {
                    elem.value = elem.value.substr(0,1000);
                }
                document.forms['mailform'].scount.value = 'Осталось '+(1000-elem.value.length)+' символов';
            }
</script>
<? 
include("copilca/css.php");
include("form_mailref.php");?>
<br />
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align='center'>Отправитель</th>
<th align='center'>Дата отправки</th>
<th align='center'>Рассылка закончилась</th>
</tr></thead>
<?
$res = mysql_query("SELECT * FROM tb_mail_ref WHERE user='$user' order by id desc LIMIT 10");
while ($row = mysql_fetch_assoc($res))
{
$userr=$row["user"];
$timestart=date("d.m.Y в H:i", $row["time_start"]);
$timeend=$row["time_end"];
if($timeend==0){ $timee='<font color="red">В процессе</font>'; }else{ $timee=date("d.m.Y в H:i", $timeend);}
?>
<tr>
<td align='center'><?=$userr;?></td>
<td align='center'><?=$timestart;?></td>
<td align='center'><?=$timee;?></td>
</tr>
<? } ?>
</table>
<?require 'footer.php';?>